Wanted someone to mod my 360 to 1.51. - HotUKDeals
We use cookie files to improve site functionality and personalisation. By continuing to use HotUKDeals, you accept our cookie and privacy policy.
Get the HotUKDeals app free at Google Play

Search Error

An error occurred when searching, please try again!

Login / Sign UpSubmit
Expired

Wanted someone to mod my 360 to 1.51.

£0.00 @
Ok i need someone trustworthy to mod my 360 to 1.51 £30 inc p+p both ways. Its already 1.5 by the way. Cheers Read More
RuthIess Avatar
8y, 3m agoPosted 8 years, 3 months ago
Ok i need someone trustworthy to mod my 360 to 1.51 £30 inc p+p both ways. Its already 1.5 by the way.

Cheers
Tags:
RuthIess Avatar
8y, 3m agoPosted 8 years, 3 months ago
Options

All Comments

(5) Jump to unreadLocked
Comments/page:
#1
Just out of curiosity what drive is it?
#2
Do you need 1.51 minimum for 3rd wave games?
#3
Abvance
Do you need 1.51 minimum for 3rd wave games?


yh i wanna know this too
#4
MarzBarz
Just out of curiosity what drive is it?


Lite-On i believe mate :)

Abvance
Do you need 1.51 minimum for 3rd wave games?


Yeah you need it to get the game to boot. I have a PS3 i havent played my 360 for months as the PS3 is better but theres a few i wanna try.
#5
Closed as this is essentially an FS trade/sale/service which we don't allow.

Post a Comment

No more comments can be posted to this thread.
Thanks for your comment! Keep it up!
We just need to have a quick look and it will be live soon.
The community is happy to hear your opinion! Keep contributing!